SVMRegressionModel (BioJava-1.5-beta API)
Keywords: org.biojava.stats.svm.SVMRegressionModel class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.stats.svm
Class SVMRegressionModel

    java.lang.Object
      org.biojava.stats.svm.SVMRegressionModel

    public class SVMRegressionModel

extends Object

Author:
  Matthew Pocock, Thomas Down

Constructor Summary
`SVMRegressionModel()`
`SVMRegressionModel(int capacity)`

Method Summary
`void` | `addVector(Object v)`
`void` | `addVector(Object v, double alpha, double alphaStar)`
`void` | `calcKernel()`
`double` | `classify(Object v)`
`double` | `getAlpha(int pos)`
`double` | `getAlphaStar(int pos)`
`SVMKernel` | `getKernel()`
`double` | `getKernelValue(int i, int j)`
`double` | `getThreshold()`
`Object` | `getVector(int pos)`
`double` | `internalClassify(int obj)`
`void` | `setAlpha(int pos, double a)`
`void` | `setAlphaStar(int pos, double a)`
`void` | `setKernel(SVMKernel k)`
`void` | `setThreshold(double t)`
`int` | `size()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SVMRegressionModel

    public SVMRegressionModel()

### SVMRegressionModel

    public SVMRegressionModel(int capacity)

Method Detail

### getKernel

    public SVMKernel getKernel()

### setKernel

    public void setKernel(SVMKernel k)

### getThreshold

    public double getThreshold()

### setThreshold

    public void setThreshold(double t)

### addVector

    public void addVector(Object v,
                          double alpha,
                          double alphaStar)

### addVector

    public void addVector(Object v)

### size

    public int size()

### getVector

    public Object getVector(int pos)

### getAlpha

    public double getAlpha(int pos)

### setAlpha

    public void setAlpha(int pos,
                         double a)

### getAlphaStar

    public double getAlphaStar(int pos)

### setAlphaStar

    public void setAlphaStar(int pos,
                             double a)

### classify

    public double classify(Object v)

### internalClassify

    public double internalClassify(int obj)

### calcKernel

    public void calcKernel()

### getKernelValue

    public double getKernelValue(int i,
                                 int j)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD